#! /usr/bin/perl -w
use strict;
use utf8;

# 注釈記号を挿入／削除する
# 文章をこのウィンドウに落とす
my $CommentMark = '> '; # 注釈記号
my $InsertMode = 1; # 削除なら my $InsertMode = '';

my $File = shift or die;
open(IN, $File) or die $!;
while (my $line = <IN>) {
	if ($InsertMode) {
		print "$CommentMark$line";
	} else {
		if (index($line, $CommentMark) == 0) {
			$line = substr($line, length($CommentMark));
		}
		print $line;
	}
}
