#! /perl -w
use strict;
use utf8;
###############################################################
# このスクリプトは過去との互換性のために置いてあるだけで，現在の使用は推薦されません．
# makeface.pl 使用法 [2002/07/27]
# 1. 	最初の行 ($dir) は変形字体の tfm を収めるフォルダです．
#		標準と異なる設定にしたい場合は修正して下さい．
# 2.	このウィンドウに，基本となる字体の tfm
#		(jis.tfm など) を引きずって落とします．
# 3.	既に存在する字体は置き換えません．
#		手動で削除してからこのスクリプトを実行してください．
# 4.	このスクリプトは単に新しい名前で複製を作るだけなので，
#		字の間隔は \kanjiskip などで調整する必要があります．
#		PictPrinter 以外での表示はできません．
###############################################################
#
my $dir = '/usr/local/share/texmf/fonts/tfm/KTeXFonts';
my $src = shift;
print "'$src' ", 'をもとに 16 種の変形字体.tfm を作製します．', "\n";
die '変形 tfm を収めるフォルダがありません．' unless (-d $dir);
my ($name) = $src =~ m|/([^/]*)\.tfm$|
or die "'$src' ".'は .tfm ではありません．';
$name =~ s/\d*$//;
$dir .= "/$name";
open(IN, "<:bytes", $src) or die "'$src' ".'が読めません．';
my $data = join('', <IN>);
unless (-d $dir) {
	mkdir($dir) or die "'$dir' ".'が作れません．';
}
chdir($dir) or die "'$dir' ".'に移動できません．';
my $num = 0;
$| = 1;
for (my $bits = 0; $bits < 16; ++$bits) {
	my $str = '';
	$str = 'p' if ($bits == 0);
	$str .= 'b' if ($bits & 1);
	$str .= 'i' if ($bits & 2);
	$str .= 'o' if ($bits & 4);
	$str .= 's' if ($bits & 8);
	my $new = "$name+$str.tfm";
	next if (-e $new);
	++$num;
	open(OUT, ">:bytes", $new) or die "'$new' ".'が作れません．';
	print OUT $data or die "'$new' ".'に書けません．';
	print '新規: ', $new, "\n";
}
system('mktexlsr');
print "$num 種作製しました．\n";
